GNU bug report logs - #18077
24.4.50; Info-quoted face should inherit default

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: swiesner@HIDDEN; dated Tue, 22 Jul 2014 08:17:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 28 Jul 2014 08:34:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 28 04:34:01 2014
Received: from localhost ([127.0.0.1]:40085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBgNc-0002lu-FW
	for submit <at> debbugs.gnu.org; Mon, 28 Jul 2014 04:34:01 -0400
Received: from vega.uberspace.de ([95.143.172.245]:47457)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1XBgNZ-0002lh-KB
 for 18077 <at> debbugs.gnu.org; Mon, 28 Jul 2014 04:33:58 -0400
Received: (qmail 14652 invoked from network); 28 Jul 2014 08:33:55 -0000
Received: from localhost (HELO lunaryorn-air.fritz.box) (127.0.0.1)
 by vega.uberspace.de with SMTP; 28 Jul 2014 08:33:55 -0000
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
From: Sebastian Wiesner <swiesner@HIDDEN>
In-Reply-To: <jwvbnsa2yi3.fsf-monnier+emacsbugs@HIDDEN>
Date: Mon, 28 Jul 2014 10:33:52 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <843E1D15-BCED-4BE3-B227-D6793FDA74F0@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
 <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
 <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
 <1D8FB3F1-0916-4C33-8C9D-A9C91774682D@HIDDEN>
 <jwvbnsb3yrl.fsf-monnier+emacsbugs@HIDDEN>
 <F909A7EF-A76E-4E0D-9249-D3A187928C80@HIDDEN>
 <jwvbnsa2yi3.fsf-monnier+emacsbugs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Am 28.07.2014 um 01:23 schrieb Stefan Monnier =
<monnier@HIDDEN>:

>>> The expectations of someone reading online documentation.  Most =
online
>>> documentation I can find don't use bold, italics, or colors to
>>> distinguish "technical elements" like those that usually appear in
>>> Info-quoted face.
>> Such documentation also uses proportional fonts for standard body =
text.
>=20
> Indeed.  But currently, we can't do that very well because refilling
> Info text is between hard and impossible (there would be other =
hurdles,
> but that's the most immediate one).

So Info is obviously *very* different from other online documentation, =
and we should probably not use other online documentation, that is not =
subject to these limitations, as a guideline for how Info mode should =
look like.  We can=92t entirely match the expectations of readers of =
these other documentations anyway, because the constraints of the Info =
format won=92t allow to make Info documentation really look like other =
documentation.  At best, we=92ll have some remote similarity, and at =
worst, Info will look much worse (as it did in this case).

IOW, Info isn=92t HTML, and we shouldn=92t pretend that it was=85 my 2 =
cents.

Anyhow, the face is customizable, so it=92s probably not an issue of =
importance, since anyone can customize it to have a sane style on their =
system, and we are used to customize Emacs anyway.

I do not know enough about font families and font style to discuss what =
fonts could be used as an alternative for Courier for use in the =
Info-quoted face, so if that is the solution you=92d like to have, I =
can=92t help anymore.=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 28 Jul 2014 08:13:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 28 04:13:00 2014
Received: from localhost ([127.0.0.1]:40042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBg3H-0002Ct-Ig
	for submit <at> debbugs.gnu.org; Mon, 28 Jul 2014 04:12:59 -0400
Received: from smtp-pri-02-2.vtxnet.net ([212.147.62.156]:39868
 helo=smtp-pri-02.vtxnet.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XBg3E-0002Cg-Nk
 for 18077 <at> debbugs.gnu.org; Mon, 28 Jul 2014 04:12:57 -0400
Received: from fmsmemgm.homelinux.net (dyn.83-228-141-040.dsl.vtx.ch
 [83.228.141.40])
 by smtp-pri-02.vtxnet.net (VTX Services SA) with ESMTP id 642B837D622;
 Mon, 28 Jul 2014 10:12:55 +0200 (CEST)
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 290FBAE1BC; Mon, 28 Jul 2014 04:12:53 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Message-ID: <jwvtx61299j.fsf-monnier+emacsbugs@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <7771859.W4ZpDVRkmj@lunaryorn> <8338dpk58h.fsf@HIDDEN>
 <2877876.NhWE4son0T@lunaryorn> <87k36yz8f6.fsf@HIDDEN>
Date: Mon, 28 Jul 2014 04:12:53 -0400
In-Reply-To: <87k36yz8f6.fsf@HIDDEN> (Juri Linkov's message of "Mon,
 28 Jul 2014 02:30:37 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org, Sebastian Wiesner <swiesner@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> For `info-quoted' we could use the same font families as e.g.
> StackOverflow uses for code blocks:

It's probably a good source of inspiration, but we have to take into
account that the font of the "normal text" is usually proportional in
stackoverflow, whereas it's usually monospaced in Emacs.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 27 Jul 2014 23:59:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 27 19:59:38 2014
Received: from localhost ([127.0.0.1]:39720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBYLq-0005Wi-Fw
	for submit <at> debbugs.gnu.org; Sun, 27 Jul 2014 19:59:38 -0400
Received: from alc-vshost7.dreamhost.com ([69.163.216.107]:42417
 helo=ps18281.dreamhostps.com)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <juri@HIDDEN>) id 1XBYLi-0005WA-9f
 for 18077 <at> debbugs.gnu.org; Sun, 27 Jul 2014 19:59:36 -0400
Received: from localhost.jurta.org (ps18281.dreamhostps.com [69.163.222.226])
 by ps18281.dreamhostps.com (Postfix) with ESMTP id EB9423094BE576;
 Sun, 27 Jul 2014 16:59:27 -0700 (PDT)
From: Juri Linkov <juri@HIDDEN>
To: Sebastian Wiesner <swiesner@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Organization: JURTA
References: <8761ipn711.fsf@HIDDEN>
 <7771859.W4ZpDVRkmj@lunaryorn> <8338dpk58h.fsf@HIDDEN>
 <2877876.NhWE4son0T@lunaryorn>
Date: Mon, 28 Jul 2014 02:30:37 +0300
In-Reply-To: <2877876.NhWE4son0T@lunaryorn> (Sebastian Wiesner's message of
 "Fri, 25 Jul 2014 16:03:20 +0200")
Message-ID: <87k36yz8f6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > Take a look at the attached images, which show the quote
 characters of various > fonts in Emacs on both of my systems: For
 `info-quoted'
 we could use the same font families as e.g. StackOverflow uses for code
 blocks: [...] 
 Content analysis details:   (2.4 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.7 RCVD_IN_XBL            RBL: Received via a relay in Spamhaus XBL
 [69.163.216.107 listed in zen.spamhaus.org]
 1.6 RCVD_IN_BRBL_LASTEXT   RBL: RCVD_IN_BRBL_LASTEXT
 [69.163.216.107 listed in bb.barracudacentral.org]
X-Debbugs-Envelope-To: 18077
Cc: Eli Zaretskii <eliz@HIDDEN>, 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.4 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > Take a look at the attached images, which show the quote
    characters of various > fonts in Emacs on both of my systems: For `info-quoted'
    we could use the same font families as e.g. StackOverflow uses for code blocks:
    [...] 
 
 Content analysis details:   (2.4 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.7 RCVD_IN_XBL            RBL: Received via a relay in Spamhaus XBL
                             [69.163.216.107 listed in zen.spamhaus.org]
  1.6 RCVD_IN_BRBL_LASTEXT   RBL: RCVD_IN_BRBL_LASTEXT
                             [69.163.216.107 listed in bb.barracudacentral.org]

> Take a look at the attached images, which show the quote characters of various
> fonts in Emacs on both of my systems:

For `info-quoted' we could use the same font families as e.g.
StackOverflow uses for code blocks:

    Consolas
    Menlo
    Monaco
    Lucida Console
    Liberation Mono
    DejaVu Sans Mono
    Bitstream Vera Sans Mono
    Courier New
    monospace
    serif

http://meta.stackexchange.com/questions/36176/whats-the-font-used-in-code-blocks




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 27 Jul 2014 23:23:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 27 19:23:37 2014
Received: from localhost ([127.0.0.1]:39703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBXmy-0004ex-VW
	for submit <at> debbugs.gnu.org; Sun, 27 Jul 2014 19:23:37 -0400
Received: from smtp-pri-02-2.vtxnet.net ([212.147.62.156]:34023
 helo=smtp-pri-02.vtxnet.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XBXmv-0004ek-Tt
 for 18077 <at> debbugs.gnu.org; Sun, 27 Jul 2014 19:23:34 -0400
Received: from fmsmemgm.homelinux.net (dyn.83-228-141-040.dsl.vtx.ch
 [83.228.141.40])
 by smtp-pri-02.vtxnet.net (VTX Services SA) with ESMTP id 6748B37DCD9;
 Mon, 28 Jul 2014 01:23:32 +0200 (CEST)
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 79583AE1BC; Sun, 27 Jul 2014 19:23:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Sebastian Wiesner <swiesner@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Message-ID: <jwvbnsa2yi3.fsf-monnier+emacsbugs@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
 <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
 <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
 <1D8FB3F1-0916-4C33-8C9D-A9C91774682D@HIDDEN>
 <jwvbnsb3yrl.fsf-monnier+emacsbugs@HIDDEN>
 <F909A7EF-A76E-4E0D-9249-D3A187928C80@HIDDEN>
Date: Sun, 27 Jul 2014 19:23:30 -0400
In-Reply-To: <F909A7EF-A76E-4E0D-9249-D3A187928C80@HIDDEN> (Sebastian
 Wiesner's message of "Sun, 27 Jul 2014 22:04:22 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

>> The expectations of someone reading online documentation.  Most online
>> documentation I can find don't use bold, italics, or colors to
>> distinguish "technical elements" like those that usually appear in
>> Info-quoted face.
> Such documentation also uses proportional fonts for standard body text.

Indeed.  But currently, we can't do that very well because refilling
Info text is between hard and impossible (there would be other hurdles,
but that's the most immediate one).

> How am I supposed to know what fonts are available on arbitrary systems?

You don't need to know that.  You just need to know what alternative
fonts are available on the system where you bumped into the problem.

> I can only say that on my Linux system there are various other fonts
> available.  Liberation Mono would probably be the one that is closest
> to Courier.

Great, thanks.  I see my (xft, scalable) "courier" here on my Debian
machines is coming from the "foundry" "ibm", but I don't really know how
to further track its origin (e.g. which package it comes from).

> But whether that font is widely installed, I do not know.

Doesn't matter: face-font-family-alternatives is designed specifically
to overcome those problems.

E.g. we should probably change Info-quoted to use family
"monospace-serif" and then add an entry to face-font-family-alternatives
like ("monospace-serif" "Liberation Mono" "courier" "CMU Typewriter
Text" "fixed").


        Stefan






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 27 Jul 2014 20:04:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 27 16:04:31 2014
Received: from localhost ([127.0.0.1]:39615 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBUgI-0006zb-Dz
	for submit <at> debbugs.gnu.org; Sun, 27 Jul 2014 16:04:30 -0400
Received: from vega.uberspace.de ([95.143.172.245]:53576)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1XBUgF-0006zR-QW
 for 18077 <at> debbugs.gnu.org; Sun, 27 Jul 2014 16:04:28 -0400
Received: (qmail 21400 invoked from network); 27 Jul 2014 20:04:25 -0000
Received: from localhost (HELO ?IPv6:2001:a60:16d2:9d01:4181:e0a9:2031:d163?)
 (127.0.0.1)
 by vega.uberspace.de with SMTP; 27 Jul 2014 20:04:25 -0000
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
From: Sebastian Wiesner <swiesner@HIDDEN>
In-Reply-To: <jwvbnsb3yrl.fsf-monnier+emacsbugs@HIDDEN>
Date: Sun, 27 Jul 2014 22:04:22 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <F909A7EF-A76E-4E0D-9249-D3A187928C80@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
 <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
 <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
 <1D8FB3F1-0916-4C33-8C9D-A9C91774682D@HIDDEN>
 <jwvbnsb3yrl.fsf-monnier+emacsbugs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


Am 27.07.2014 um 12:16 schrieb Stefan Monnier =
<monnier@HIDDEN>:

>> What expectations?
>=20
> The expectations of someone reading online documentation.  Most online
> documentation I can find don't use bold, italics, or colors to
> distinguish "technical elements" like those that usually appear in
> Info-quoted face.

Such documentation also uses proportional fonts for standard body text.  =
Now where=92s `Info-body` with =93Times New Roman=94, to match this =
expectation as well?

>> And if it=92s just *your* expectation and your preference, doesn=92t =
it belong
>> into your personal "init.el" then?
>=20
> I indeed have a different personal setting for Info-quoted in my =
.emacs,
> but I wouldn't want to push this as the default.
>=20
>> Oh, well, they are of quite some importance, since they happen to
>> demonstrate what this is all about:  That courier is not consistently =
of
>> good quality, and can be a very poor font on some systems.
>=20
> No need for a screenshot to convince me of that, then.
> When I say "concrete case" I don't mean "please try to construct
> a situation where this happen" (I can usually do it myself), but =
rather
> "did someone involuntarily bump into this in his everyday use of =
Emacs?=93.

I did not specifically =93construct=94 any situation where this issue =
appears.  I have better uses for my time than trying to provoke random =
issues ;)  I involuntary bumped into this, when after a rebuild of Emacs =
trunk I realized that all quoted text in Info had suddenly become quite =
ugly.

The screenshots should just demonstrate the issue, and show in how far =
=84Courier=93 can be expected to have good quote characters, as Eli =
demanded in his reply.

>>> Have you looked at whether or not face-font-family-alternatives =
would
>>> provide a good fix?
>> I=92m not sure whether I can follow.  I mean, I could add an =
arbitrary =93good=94
>> font as alias for "courier" myself, but then I could just customize =
the
>> "Info-quoted" face right away (which is what I=92m doing currently).
>=20
> On those systems that have a bad "courier" font (probably
> bitmapped), do they usually have another font that looks good and is =
almost
> identical (but obviously under a different name)?

How am I supposed to know what fonts are available on arbitrary systems? =
 I can only say that on my Linux system there are various other fonts =
available.  Liberation Mono would probably be the one that is closest to =
Courier.

But whether that font is widely installed, I do not know.  As I said, =
font configuration and availability on Linux greatly various between =
distributions and individual setups.  There is no general set of fonts =
to rely upon on Linux beyond generic names (e.g. =84Serif=93, =
=84Monospace=93, =84Sans=93, etc.)=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 27 Jul 2014 10:16:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 27 06:16:45 2014
Received: from localhost ([127.0.0.1]:39185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XBLVV-0008GY-A5
	for submit <at> debbugs.gnu.org; Sun, 27 Jul 2014 06:16:45 -0400
Received: from smtp-pri-01.vtxnet.net ([212.147.62.135]:38272)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XBLVS-0008GP-S5
 for 18077 <at> debbugs.gnu.org; Sun, 27 Jul 2014 06:16:43 -0400
Received: from localhost (unknown [127.0.0.1])
 by smtp-pri-01.vtxnet.net (VTX Services SA) with ESMTP id B825ACFD0C;
 Sun, 27 Jul 2014 10:16:41 +0000 (UTC)
Received: from smtp-pri-01.vtxnet.net ([127.0.0.1])
 by localhost (smtp-pri-01.vtxnet.net [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id vOPk08OumZkt; Sun, 27 Jul 2014 12:16:40 +0200 (CEST)
Received: from fmsmemgm.homelinux.net (dyn.83-228-141-040.dsl.vtx.ch
 [83.228.141.40])
 by smtp-pri-01.vtxnet.net (VTX Services SA) with ESMTP id 1F8D0CFD0B;
 Sun, 27 Jul 2014 12:16:40 +0200 (CEST)
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id DA8F4AE1BC; Sun, 27 Jul 2014 06:16:39 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Sebastian Wiesner <swiesner@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Message-ID: <jwvbnsb3yrl.fsf-monnier+emacsbugs@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
 <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
 <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
 <1D8FB3F1-0916-4C33-8C9D-A9C91774682D@HIDDEN>
Date: Sun, 27 Jul 2014 06:16:39 -0400
In-Reply-To: <1D8FB3F1-0916-4C33-8C9D-A9C91774682D@HIDDEN> (Sebastian
 Wiesner's message of "Sat, 26 Jul 2014 10:58:56 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> What expectations?

The expectations of someone reading online documentation.  Most online
documentation I can find don't use bold, italics, or colors to
distinguish "technical elements" like those that usually appear in
Info-quoted face.

> And if it=E2=80=99s just *your* expectation and your preference, doesn=E2=
=80=99t it belong
> into your personal "init.el" then?

I indeed have a different personal setting for Info-quoted in my .emacs,
but I wouldn't want to push this as the default.

> Oh, well, they are of quite some importance, since they happen to
> demonstrate what this is all about:  That courier is not consistently of
> good quality, and can be a very poor font on some systems.

No need for a screenshot to convince me of that, then.
When I say "concrete case" I don't mean "please try to construct
a situation where this happen" (I can usually do it myself), but rather
"did someone involuntarily bump into this in his everyday use of Emacs?".

So, IIUC, this is still hypothetical.

>> Have you looked at whether or not face-font-family-alternatives would
>> provide a good fix?
> I=E2=80=99m not sure whether I can follow.  I mean, I could add an arbitr=
ary =E2=80=9Cgood=E2=80=9D
> font as alias for "courier" myself, but then I could just customize the
> "Info-quoted" face right away (which is what I=E2=80=99m doing currently).

On those systems that have a bad "courier" font (probably
bitmapped), do they usually have another font that looks good and is almost
identical (but obviously under a different name)?

> And if the system can=E2=80=99t provide proper courier font or alias, how
> could Emacs do any better?

I think the best we can do is to choose another monospaced font
with serif.  After all, face-font-family-alternatives already has
a fallback to "fixed" as a last resort, so any monospaced font with
serif would be a better fit than "fixed".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 26 Jul 2014 08:59:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 26 04:59:05 2014
Received: from localhost ([127.0.0.1]:38550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAxom-0002fE-Ti
	for submit <at> debbugs.gnu.org; Sat, 26 Jul 2014 04:59:05 -0400
Received: from vega.uberspace.de ([95.143.172.245]:38598)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1XAxok-0002eo-07
 for 18077 <at> debbugs.gnu.org; Sat, 26 Jul 2014 04:59:03 -0400
Received: (qmail 4664 invoked from network); 26 Jul 2014 08:58:59 -0000
Received: from localhost (HELO lunaryorn-air.fritz.box) (127.0.0.1)
 by vega.uberspace.de with SMTP; 26 Jul 2014 08:58:59 -0000
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
From: Sebastian Wiesner <swiesner@HIDDEN>
In-Reply-To: <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
Date: Sat, 26 Jul 2014 10:58:56 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <1D8FB3F1-0916-4C33-8C9D-A9C91774682D@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
 <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
 <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


>>> The whole purpose of this is to make quoted text appear different, =
so we
>>> don't want to use the default face.
>> A different style or color would not be sufficient?
>=20
> To me "courier" is a different style.
>=20
> Making it bold or italic or colored would not really match my
> expectations as a reader of such documentation.

What expectations? =20

With respect, Info didn=92t use different face for quoted text for ages. =
 Did the expectations of the readers change all of a sudden?

And if it=92s just *your* expectation and your preference, doesn=92t it =
belong into your personal "init.el" then?

>> With respect, I mean no offense, but did you actually look at the
>> screenshots that I attached to my previous mail?
>=20
> No, I didn't notice them, and they don't appear very well in my tty
> connection ;-)

Oh, well, they are of quite some importance, since they happen to =
demonstrate what this is all about:  That courier is not consistently of =
good quality, and can be a very poor font on some systems.

> Have you looked at whether or not face-font-family-alternatives would
> provide a good fix?

I=92m not sure whether I can follow.  I mean, I could add an arbitrary =
=93good=94 font as alias for "courier" myself, but then I could just =
customize the "Info-quoted" face right away (which is what I=92m doing =
currently).

And if the system can=92t provide proper courier font or alias, how =
could Emacs do any better?=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 26 Jul 2014 08:03:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 26 04:03:57 2014
Received: from localhost ([127.0.0.1]:38470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAwxQ-0001EI-SK
	for submit <at> debbugs.gnu.org; Sat, 26 Jul 2014 04:03:57 -0400
Received: from smtp-pri-01.vtxnet.net ([212.147.62.135]:44099)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XAwxO-0001E8-Gb
 for 18077 <at> debbugs.gnu.org; Sat, 26 Jul 2014 04:03:55 -0400
Received: from localhost (unknown [127.0.0.1])
 by smtp-pri-01.vtxnet.net (VTX Services SA) with ESMTP id 1BC9FCFD1C;
 Sat, 26 Jul 2014 08:03:53 +0000 (UTC)
Received: from smtp-pri-01.vtxnet.net ([127.0.0.1])
 by localhost (smtp-pri-01.vtxnet.net [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id GxcC9af_DvDB; Sat, 26 Jul 2014 10:03:51 +0200 (CEST)
Received: from fmsmemgm.homelinux.net (dyn.83-228-141-040.dsl.vtx.ch
 [83.228.141.40])
 by smtp-pri-01.vtxnet.net (VTX Services SA) with ESMTP id 70990CFCF9;
 Sat, 26 Jul 2014 10:03:51 +0200 (CEST)
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 9128CAE1BC; Sat, 26 Jul 2014 04:03:50 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Sebastian Wiesner <swiesner@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Message-ID: <jwvlhrg5z7u.fsf-monnier+emacsbugs@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
 <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
Date: Sat, 26 Jul 2014 04:03:50 -0400
In-Reply-To: <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN> (Sebastian
 Wiesner's message of "Sat, 26 Jul 2014 00:55:47 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

>> The whole purpose of this is to make quoted text appear different, so we
>> don't want to use the default face.
> A different style or color would not be sufficient?

To me "courier" is a different style.

Making it bold or italic or colored would not really match my
expectations as a reader of such documentation.

> With respect, I mean no offense, but did you actually look at the
> screenshots that I attached to my previous mail?

No, I didn't notice them, and they don't appear very well in my tty
connection ;-)

Have you looked at whether or not face-font-family-alternatives would
provide a good fix?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 26 Jul 2014 07:47:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 26 03:47:12 2014
Received: from localhost ([127.0.0.1]:38462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAwhD-0000oC-R6
	for submit <at> debbugs.gnu.org; Sat, 26 Jul 2014 03:47:12 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:42380)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <whitebox@HIDDEN>) id 1XAwhA-0000o3-U9
 for 18077 <at> debbugs.gnu.org; Sat, 26 Jul 2014 03:47:10 -0400
Received: from frontend1.mail.m-online.net (frontend1.mail.intern.m-online.net
 [192.168.8.180])
 by mail-out.m-online.net (Postfix) with ESMTP id 3hKzrW2zS3z3hhw2;
 Sat, 26 Jul 2014 09:47:06 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3hKzrV2p0Zz7S6Rq;
 Sat, 26 Jul 2014 09:47:06 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.180])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id OP6u-xEbdDC4; Sat, 26 Jul 2014 09:47:05 +0200 (CEST)
X-Auth-Info: 2f4jDmiAfrn8WWw06BnvJg6AM2dAZYiOSCequzq511Q=
Received: from linux.local (ppp-188-174-61-194.dynamic.mnet-online.de
 [188.174.61.194]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Sat, 26 Jul 2014 09:47:05 +0200 (CEST)
Received: by linux.local (Postfix, from userid 501)
 id D93CD1E571A; Sat, 26 Jul 2014 09:47:00 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
X-Yow: Leona, I want to CONFESS things to you..
 I want to WRAP you in a SCARLET ROBE trimmed with POLYVINYL CHLORIDE..
 I want to EMPTY your ASHTRAYS...
Date: Sat, 26 Jul 2014 09:47:00 +0200
In-Reply-To: <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Fri, 25 Jul 2014 18:37:51 -0400")
Message-ID: <m2y4vgr28b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org, swiesner@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> The whole purpose of this is to make quoted text appear different, so we
> don't want to use the default face.

That obviously fails if the default face is the same as courier (which
is the default without Fontconfig support).

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 25 Jul 2014 22:55:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 25 18:55:56 2014
Received: from localhost ([127.0.0.1]:38191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAoP5-0004Ts-Ll
	for submit <at> debbugs.gnu.org; Fri, 25 Jul 2014 18:55:55 -0400
Received: from vega.uberspace.de ([95.143.172.245]:54169)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1XAoP2-0004Tf-AF
 for 18077 <at> debbugs.gnu.org; Fri, 25 Jul 2014 18:55:53 -0400
Received: (qmail 21696 invoked from network); 25 Jul 2014 22:55:50 -0000
Received: from localhost (HELO hostname.fritz.box) (127.0.0.1)
 by vega.uberspace.de with SMTP; 25 Jul 2014 22:55:50 -0000
Content-Type: text/plain; charset=windows-1252
Mime-Version: 1.0 (Mac OS X Mail 7.3 \(1878.6\))
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
From: Sebastian Wiesner <swiesner@HIDDEN>
In-Reply-To: <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
Date: Sat, 26 Jul 2014 00:55:47 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <9C6E94EB-5A94-49E6-BCE4-A08FCB6830A6@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
X-Mailer: Apple Mail (2.1878.6)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


Am 26.07.2014 um 00:37 schrieb Stefan Monnier =
<monnier@HIDDEN>:

>> Please remove the hard-coded font family and inherit from the default
>> face instead.
>=20
> Inheriting from default would be equivalent to defining the attributes
> as just nil.
>=20
> The whole purpose of this is to make quoted text appear different, so =
we
> don't want to use the default face.

A different style or color would not be sufficient?

> I agree that a specific family is kind of annoying and theoretically
> problematic, but it sounds too hypothetical to bother fixing (and to
> know how to fix).
>=20
> Do you have a concrete situation at hand?
> Maybe we can address the problem with a a bit more fiddling of
> face-font-family-alternatives.

With respect, I mean no offense, but did you actually look at the =
screenshots that I attached to my previous mail?  Did you notice the =
different between =93Courier=94 and =93Source Code Pro=94 (which is my =
default face) in the Arch Linux screenshot?=20

It=92s not at all hypothetical.=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 25 Jul 2014 22:37:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 25 18:37:57 2014
Received: from localhost ([127.0.0.1]:38183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAo7g-00042w-AJ
	for submit <at> debbugs.gnu.org; Fri, 25 Jul 2014 18:37:57 -0400
Received: from smtp-pri-03.vtxnet.net ([212.147.62.137]:47135)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XAo7d-00042k-3b
 for 18077 <at> debbugs.gnu.org; Fri, 25 Jul 2014 18:37:53 -0400
Received: from localhost (unknown [127.0.0.1])
 by smtp-pri-03.vtxnet.net (VTX Services SA) with ESMTP id 5DA6168B813;
 Fri, 25 Jul 2014 22:37:52 +0000 (UTC)
Received: from smtp-pri-03.vtxnet.net ([127.0.0.1])
 by localhost (smtp-pri-03.vtxnet.net [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id JKOZ9MAF0jjz; Sat, 26 Jul 2014 00:37:51 +0200 (CEST)
Received: from fmsmemgm.homelinux.net (dyn.83-228-141-040.dsl.vtx.ch
 [83.228.141.40])
 by smtp-pri-03.vtxnet.net (VTX Services SA) with ESMTP id D286768B810;
 Sat, 26 Jul 2014 00:37:51 +0200 (CEST)
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 99158AE1B5; Fri, 25 Jul 2014 18:37:51 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: swiesner@HIDDEN
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Message-ID: <jwv1tt96pc7.fsf-monnier+emacsbugs@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
Date: Fri, 25 Jul 2014 18:37:51 -0400
In-Reply-To: <8761ipn711.fsf@HIDDEN> (swiesner@HIDDEN's
 message of "Tue, 22 Jul 2014 10:15:38 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Please remove the hard-coded font family and inherit from the default
> face instead.

Inheriting from default would be equivalent to defining the attributes
as just nil.

The whole purpose of this is to make quoted text appear different, so we
don't want to use the default face.

I agree that a specific family is kind of annoying and theoretically
problematic, but it sounds too hypothetical to bother fixing (and to
know how to fix).

Do you have a concrete situation at hand?
Maybe we can address the problem with a a bit more fiddling of
face-font-family-alternatives.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 25 Jul 2014 14:03:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 25 10:03:41 2014
Received: from localhost ([127.0.0.1]:37862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAg5w-0008DA-SF
	for submit <at> debbugs.gnu.org; Fri, 25 Jul 2014 10:03:40 -0400
Received: from vega.uberspace.de ([95.143.172.245]:49064)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1XAg5p-0008Cu-Tj
 for 18077 <at> debbugs.gnu.org; Fri, 25 Jul 2014 10:03:34 -0400
Received: (qmail 6596 invoked from network); 25 Jul 2014 14:03:27 -0000
Received: from localhost (HELO lunaryorn.localnet) (127.0.0.1)
 by vega.uberspace.de with SMTP; 25 Jul 2014 14:03:27 -0000
From: Sebastian Wiesner <swiesner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Date: Fri, 25 Jul 2014 16:03:20 +0200
Message-ID: <2877876.NhWE4son0T@lunaryorn>
User-Agent: KMail/4.13.3 (Linux/3.15.5-2-ARCH; KDE/4.13.3; x86_64; ; )
In-Reply-To: <8338dpk58h.fsf@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
 <7771859.W4ZpDVRkmj@lunaryorn> <8338dpk58h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="nextPart1897912.SqCz4WIZgR"
Content-Transfer-Encoding: 7Bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

This is a multi-part message in MIME format.

--nextPart1897912.SqCz4WIZgR
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"

Am Freitag, 25. Juli 2014, 15:11:42 schrieb Eli Zaretskii:
> > From: Sebastian Wiesner <swiesner@HIDDEN>
> > Cc: 18077 <at> debbugs.gnu.org
> > Date: Fri, 25 Jul 2014 12:25:47 +0200
> > 
> > > Would you like to suggest a patch for fixing this problem?  Please
> > > note that the underlying issue here is that the font should provide
> > > nice-looking glyphs for the Unicode quote characters.
> > 
> > I do not think that I am in a position to suggest a patch that could
> > generally fix this problem.  I use Emacs only in two different
> > environments, and have no idea of what limits and constraints Emacs must
> > obey with regards to fonts to remain portable across various platforms.
> > 
> > I can only say that for my case it would be entirely sufficient to simply
> > make Info-quoted inherit from default, i.e. use '((:inherit default)) as
> > spec in defface.
> > 
> > But I only use a GUI Emacs, and only on very recent and modern systems
> > (Arch Linux with KDE, and OS X 10.9), where Unicode fonts are less of a
> > problem.  On these systems Emacs typically picks a font with good unicode
> > coverage for the default face automatically, e.g. DejaVu Sans Mono or a
> > variant thereof.
>
> Character coverage is not the problem.  The problem is that some
> widely used fonts that cover these characters have ugly or barely
> visible glyphs for them.

I see.  I doubt, though, that "courier" has generally better quote glyphs than 
those  decent modern fonts that are typically used for the default face, 
either automatically or by user customization.

Take a look at the attached images, which show the quote characters of various 
fonts in Emacs on both of my systems:  

On OS X, the quote characters of Courier aren't any better than that of the 
standard monospace faces Menlo and Monaco.  On Linux, Courier isn't even anti-
aliased.  And in both cases the quote characters of Courier are worse than 
those of Source Code Pro and Inconsolata, which are popular 3rd party fonts.

Now, I understand that my setup is just some example and by no means 
authoritative, and that Courier may look significantly different and much 
better on your Linux system.

But I'm trying to demonstrate with these examples that Courier is by no means 
*guaranteed* to have good quote characters, and can in fact be significantly 
worse than other fonts.  

IOW, there's a chance that Courier gets it right, and there's also a good 
chance that Courier gets it wrong.  And that goes for the default face as 
well:  It can either have good quotes, or bad ones. 

However, the default fonts of modern systems are typically not that bad, and 
users typically don't choose very poor fonts for their "default" face, so I 
think it's less likely for "default" to get it wrong that for "Info-quoted".  
And the latter can fail really bad, as seen in my Arch Linux example.

 
> > inheriting from default seems to be the standard among other
> > built-in faces.
> 
> I would trust Stefan (who introduced this face) that he knows that for
> quite some time, and had his reasons for not doing that.

I'd trust Stefan to the end of the universe, for sure, but he might just have 
been lucky to have a proper Courier variant installed on his own systems.  
Even he can't test a face on each and every font setup out there :)
--nextPart1897912.SqCz4WIZgR
Content-Disposition: attachment; filename="OS X.png"
Content-Transfer-Encoding: base64
Content-Type: image/png; name="OS X.png"
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--nextPart1897912.SqCz4WIZgR
Content-Disposition: attachment; filename="Arch Linux.png"
Content-Transfer-Encoding: base64
Content-Type: image/png; name="Arch Linux.png"
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--nextPart1897912.SqCz4WIZgR--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 25 Jul 2014 12:11:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 25 08:11:52 2014
Received: from localhost ([127.0.0.1]:37402 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAeLj-0005PS-O3
	for submit <at> debbugs.gnu.org; Fri, 25 Jul 2014 08:11:51 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:61251)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XAeLd-0005PA-MP
 for 18077 <at> debbugs.gnu.org; Fri, 25 Jul 2014 08:11:45 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0N9900D00OCBBM00@HIDDEN> for 18077 <at> debbugs.gnu.org;
 Fri, 25 Jul 2014 15:11:34 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N9900D3EOJAC100@HIDDEN>;
 Fri, 25 Jul 2014 15:11:34 +0300 (IDT)
Date: Fri, 25 Jul 2014 15:11:42 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
In-reply-to: <7771859.W4ZpDVRkmj@lunaryorn>
X-012-Sender: halo1@HIDDEN
To: Sebastian Wiesner <swiesner@HIDDEN>
Message-id: <8338dpk58h.fsf@HIDDEN>
References: <8761ipn711.fsf@HIDDEN> <83d2ctkfot.fsf@HIDDEN>
 <7771859.W4ZpDVRkmj@lunaryorn>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Sebastian Wiesner <swiesner@HIDDEN>
> Cc: 18077 <at> debbugs.gnu.org
> Date: Fri, 25 Jul 2014 12:25:47 +0200
> 
> > Would you like to suggest a patch for fixing this problem?  Please
> > note that the underlying issue here is that the font should provide
> > nice-looking glyphs for the Unicode quote characters.
> 
> I do not think that I am in a position to suggest a patch that could generally 
> fix this problem.  I use Emacs only in two different environments, and have no 
> idea of what limits and constraints Emacs must obey with regards to fonts to 
> remain portable across various platforms.
> 
> I can only say that for my case it would be entirely sufficient to simply make 
> Info-quoted inherit from default, i.e. use '((:inherit default)) as spec in 
> defface.  
> 
> But I only use a GUI Emacs, and only on very recent and modern systems (Arch 
> Linux with KDE, and OS X 10.9), where Unicode fonts are less of a problem.  On 
> these systems Emacs typically picks a font with good unicode coverage for the 
> default face automatically, e.g. DejaVu Sans Mono or a variant thereof.

Character coverage is not the problem.  The problem is that some
widely used fonts that cover these characters have ugly or barely
visible glyphs for them.

> inheriting from default seems to be the standard among other
> built-in faces.

I would trust Stefan (who introduced this face) that he knows that for
quite some time, and had his reasons for not doing that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 25 Jul 2014 10:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 25 06:26:09 2014
Received: from localhost ([127.0.0.1]:37393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAchP-0001fP-OQ
	for submit <at> debbugs.gnu.org; Fri, 25 Jul 2014 06:26:08 -0400
Received: from vega.uberspace.de ([95.143.172.245]:49421)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1XAchH-0001eu-UO
 for 18077 <at> debbugs.gnu.org; Fri, 25 Jul 2014 06:26:01 -0400
Received: (qmail 26716 invoked from network); 25 Jul 2014 10:25:53 -0000
Received: from localhost (HELO lunaryorn.localnet) (127.0.0.1)
 by vega.uberspace.de with SMTP; 25 Jul 2014 10:25:53 -0000
From: Sebastian Wiesner <swiesner@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
Date: Fri, 25 Jul 2014 12:25:47 +0200
Message-ID: <7771859.W4ZpDVRkmj@lunaryorn>
User-Agent: KMail/4.13.3 (Linux/3.15.5-2-ARCH; KDE/4.13.3; x86_64; ; )
In-Reply-To: <83d2ctkfot.fsf@HIDDEN>
References: <8761ipn711.fsf@HIDDEN> <83d2ctkfot.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 7Bit
Content-Type: text/plain; charset="us-ascii"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

> > I do no think that mode faces should *hard-code* specific font families,
> > and thus bypass any customization of the default face that the user
> > might have made to pick their preferred font.
> > 
> > Besides, courier is not a particularly friendly choice.  There is no
> > specific font with that name.  The actual font depends on the font
> > configuration and aliasing picked by the OS and the user, and depending
> > on the quality of this configuration the appearance of this font varies
> > greatly.  If the configuration is particularly poor, or if a proper
> > substitute font is missing, Emacs might even fall back to X11 bitmap
> > fonts, which are particularly ugly on modern screens.
> > 
> > So just because it's pretty on your screen, it doesn't need to be pretty
> > on some else's screen.
> > 
> > Please remove the hard-coded font family and inherit from the default
> > face instead.
> 
> Thank you for your report.
> 
> Would you like to suggest a patch for fixing this problem?  Please
> note that the underlying issue here is that the font should provide
> nice-looking glyphs for the Unicode quote characters.

I do not think that I am in a position to suggest a patch that could generally 
fix this problem.  I use Emacs only in two different environments, and have no 
idea of what limits and constraints Emacs must obey with regards to fonts to 
remain portable across various platforms.

I can only say that for my case it would be entirely sufficient to simply make 
Info-quoted inherit from default, i.e. use '((:inherit default)) as spec in 
defface.  

But I only use a GUI Emacs, and only on very recent and modern systems (Arch 
Linux with KDE, and OS X 10.9), where Unicode fonts are less of a problem.  On 
these systems Emacs typically picks a font with good unicode coverage for the 
default face automatically, e.g. DejaVu Sans Mono or a variant thereof.

Courier however does not exist as a specific family, and might be aliased to 
something entirely different than the standard monospace font of the system.  
It could be a fallback URW font, or (even worse) a built-in X11 bitmap font, 
which looks really ugly, and quite likely has much worse Unicode coverage than 
the font picked for the default face, if it even has any Unicode support at 
all.

But I do not know whether this is also the case on Windows, or on older X11 
environments, that do not use fontconfig, or even still rely on a font server.

Still, presuming that the user customized the default face to use a good font 
with reasonable character coverage (many users do, in my expierence), I think 
that it is very unlikely that "courier" is a better choice than the font of 
the default face with regards to Unicode coverage.

Also, inheriting from default seems to be the standard among other built-in 
faces.

TL;DR: My suggestion would be to simply inherit from default, with no other 
attributes set.  Sorry for the long comment.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at 18077 <at> debbugs.gnu.org:


Received: (at 18077) by debbugs.gnu.org; 25 Jul 2014 08:25:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 25 04:25:57 2014
Received: from localhost ([127.0.0.1]:37355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XAapA-000720-FR
	for submit <at> debbugs.gnu.org; Fri, 25 Jul 2014 04:25:56 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:58557)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XAap6-00071l-UV
 for 18077 <at> debbugs.gnu.org; Fri, 25 Jul 2014 04:25:54 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0N9900D00DRBAM00@HIDDEN> for 18077 <at> debbugs.gnu.org;
 Fri, 25 Jul 2014 11:25:46 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N9900D0SE2YAT10@HIDDEN>;
 Fri, 25 Jul 2014 11:25:46 +0300 (IDT)
Date: Fri, 25 Jul 2014 11:25:54 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18077: 24.4.50; Info-quoted face should inherit default
In-reply-to: <8761ipn711.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: swiesner@HIDDEN
Message-id: <83d2ctkfot.fsf@HIDDEN>
References: <8761ipn711.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18077
Cc: 18077 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: swiesner@HIDDEN
> Date: Tue, 22 Jul 2014 10:15:38 +0200
> 
> Currently, the `Info-quoted' face is defined as follows in info.el:
> 
> (defface Info-quoted
>   '((t :family "courier"))
>   "Face used for quoted elements.")

This also violates the convention that Info face names start with a
lower-case letter.

> I do no think that mode faces should *hard-code* specific font families,
> and thus bypass any customization of the default face that the user
> might have made to pick their preferred font.
> 
> Besides, courier is not a particularly friendly choice.  There is no
> specific font with that name.  The actual font depends on the font
> configuration and aliasing picked by the OS and the user, and depending
> on the quality of this configuration the appearance of this font varies
> greatly.  If the configuration is particularly poor, or if a proper
> substitute font is missing, Emacs might even fall back to X11 bitmap
> fonts, which are particularly ugly on modern screens.
> 
> So just because it's pretty on your screen, it doesn't need to be pretty
> on some else's screen.
> 
> Please remove the hard-coded font family and inherit from the default
> face instead.

Thank you for your report.

Would you like to suggest a patch for fixing this problem?  Please
note that the underlying issue here is that the font should provide
nice-looking glyphs for the Unicode quote characters.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jul 2014 08:16:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 22 04:16:33 2014
Received: from localhost ([127.0.0.1]:34233 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1X9VFM-0003jS-0K
	for submit <at> debbugs.gnu.org; Tue, 22 Jul 2014 04:16:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45615)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <swiesner@HIDDEN>) id 1X9VFF-0003j4-2s
 for submit <at> debbugs.gnu.org; Tue, 22 Jul 2014 04:16:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swiesner@HIDDEN>) id 1X9VF0-0004KW-RL
 for submit <at> debbugs.gnu.org; Tue, 22 Jul 2014 04:16:15 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38070)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swiesner@HIDDEN>) id 1X9VF0-0004KR-P7
 for submit <at> debbugs.gnu.org; Tue, 22 Jul 2014 04:16:06 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:47279)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swiesner@HIDDEN>) id 1X9VEt-0004u4-97
 for bug-gnu-emacs@HIDDEN; Tue, 22 Jul 2014 04:16:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swiesner@HIDDEN>) id 1X9VEl-0004I6-Qz
 for bug-gnu-emacs@HIDDEN; Tue, 22 Jul 2014 04:15:59 -0400
Received: from vega.uberspace.de ([95.143.172.245]:48908)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swiesner@HIDDEN>) id 1X9VEl-0004Hw-Go
 for bug-gnu-emacs@HIDDEN; Tue, 22 Jul 2014 04:15:51 -0400
Received: (qmail 25473 invoked from network); 22 Jul 2014 08:15:53 -0000
Received: from localhost (HELO lunaryorn.fritz.box) (127.0.0.1)
 by vega.uberspace.de with SMTP; 22 Jul 2014 08:15:53 -0000
From: swiesner@HIDDEN
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.50; Info-quoted face should inherit default
Date: Tue, 22 Jul 2014 10:15:38 +0200
Message-ID: <8761ipn711.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Currently, the `Info-quoted' face is defined as follows in info.el:

(defface Info-quoted
  '((t :family "courier"))
  "Face used for quoted elements.")

I do no think that mode faces should *hard-code* specific font families,
and thus bypass any customization of the default face that the user
might have made to pick their preferred font.

Besides, courier is not a particularly friendly choice.  There is no
specific font with that name.  The actual font depends on the font
configuration and aliasing picked by the OS and the user, and depending
on the quality of this configuration the appearance of this font varies
greatly.  If the configuration is particularly poor, or if a proper
substitute font is missing, Emacs might even fall back to X11 bitmap
fonts, which are particularly ugly on modern screens.

So just because it's pretty on your screen, it doesn't need to be pretty
on some else's screen.

Please remove the hard-coded font family and inherit from the default
face instead.




Acknowledgement sent to swiesner@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18077; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.